Bug 382051 - loop.ko gets loaded unnecessary
loop.ko gets loaded unnecessary
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 05:31 EST by Hans de Goede
Modified: 2009-01-09 02:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:25:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-11-14 05:31:10 EST
Description of problem:

On my F-8 i386 default dvd-install and F8 x86_64 live cd install both I have:
[hans@localhost ~]$ lsmod | grep loop
loop                   16581  0 
[hans@localhost ~]$ 

Even though there is no reason for loop.ko to get loaded, on the x86_64 I
checked initrd and it is not the culprit.
Comment 1 Harald Hoyer 2007-11-14 05:36:56 EST
udev does not load loop.ko it just created /dev/loop[0-7] manually
Comment 2 Harald Hoyer 2007-11-14 05:40:27 EST
if s.th. opens /dev/loop[0-7] the loop module gets autoloaded by the kernel.
Comment 3 Harald Hoyer 2007-11-14 05:43:15 EST
on my F8 laptop loop.ko is not loaded at all
Comment 4 Harald Hoyer 2007-11-14 05:45:01 EST
you might do a lsmod check in rc.sysinit at several points to find the culprit..
Comment 5 Hans de Goede 2007-11-14 07:13:41 EST
Reopening, this is a bug, reproduced on 2 completely different systems. I'll do
the lsmod thingie as time allows and get back to you.
Comment 6 Hans de Goede 2007-11-14 16:23:32 EST
Ok,

Added lsmod commands, this indeed is not caused by udev, changing component to
intiscripts for now. The unneeded loading of loop.ko is triggered by these 3
lines in rc.sysinit (circa line 465):
        if [ -x /sbin/lvm.static ]; then
                action $"Setting up Logical Volume Management:" /sbin/lvm.stati
        fi

So systems where this does not show up are probably not using device-mapper
which is strange as that is the default when autopartitioning. I would really
expect Fedora developers to be using a setup identical to the default setup (eat
your own dogfood principle).
Comment 7 Bill Nottingham 2007-11-14 16:38:22 EST
Heh, I tested on a single drive laptop, where LVM is sort of pointless.
Assigning to lvm, regardless.
Comment 8 Alasdair Kergon 2007-11-14 18:48:03 EST
Well lvm scans devices to search for physical volumes - could that be causing
this perhaps?  Add -vvvv to the command and capture the ouput and see if it's
opening them.  Thing is, lvm has got to do that - in general, there might be PVs
there.  If you know better, then you can configure lvm to ignore loop devices by
putting a filter into the lvm.conf file - see if that stops it.
Comment 9 Hans de Goede 2007-11-15 04:29:47 EST
Found it, adding:
    # Exclude the loop devices
    filter = [ "r/loop/" ]

To /etc/lvm/lvm.conf fixes this. Are there any configurations conceivable where
there will be lvm on the loop devices? Maybe crypto setups?
Comment 10 Bug Zapper 2008-11-26 03:25:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:25:23 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.